function [R] = Rodriguez(k,theta)
% Rodriguez Formula in order to compute the rotation matrix in regard to
% the axis of rotation given by the unit vector k and an angle of rotation
% given by the angle theta

K = [0 -k(3) k(2); k(3) 0 -k(1); -k(2) k(1) 0];

R = eye(3) + sin(theta)*K + (1-cos(theta))*K*K;

end

