function [x_end] = getEndposition(k,theta,l,x_ini,printAll)
% Calculate rotation matrices based on the given axis-angle representations

n = length(theta);

R = cell(n,1);
R{1} = Rodriguez(k(1,:),theta(1));
for i=2:1:n
    R_ges = eye(3);
    for j=1:1:i-1
        R_ges = R{j}*R_ges;
    end
    R{i} = Rodriguez(R_ges*k(i,:)',theta(i));
end

% Calculate end position for the given angles theta
x = zeros(3,n+1);
x(:,1) = x_ini';
for i=1:1:n
    R_ges = eye(3);
    x_ges = zeros(3,1);
    for j=1:1:i
        R_ges = R{j}*R_ges;
        x_ges = x_ges + x(:,i);
    end
    x(:,i+1) = R_ges*l(i,:)' + x(:,i);
end

if printAll
    for i=1:1:n+1
        x(:,i)
    end
end


x_end = x(:,end);

end

