function [J] = vrepJacobianEndposition(k,theta,l,x_ini)
% Calculates the jacobian in regard to the euler angles for the end
% position of the given system
%
% k: axis of rotations [n,3]
% theta: angle of rotation [n,1]
% l: length vectors [n,3]

n = length(theta);
x_end = getEndposition(k,theta,l,x_ini,false);

% Add minimal changes in order to compute the jacobian
% Calculate rotation matrices based on the given axis-angle representations
dtheta = 0.001;
x_change = zeros(3,n);
for i=1:1:n
    theta_change = theta;
    theta_change(i) = theta_change(i) + dtheta;
    x_change(:,i) = getEndposition(k,theta_change,l,x_ini,false);
end

% Calculate the Jacobian
J = zeros(3,n);
for i=1:1:n
    J(:,i) = (x_change(:,i) - x_end)/dtheta;
end

end

